package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum DeptIdentifierEnum {

    ACCEPTED_CENTER("受理中心", "1"), SPECIFIC_DEPT("指定部门", "2"), ROLLBACK_TO_PREVIOUS_DEPT("回退上一部门", "3");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static DeptIdentifierEnum getByValue(String keyword) {
        DeptIdentifierEnum[] enums = values();
        for (DeptIdentifierEnum item : enums) {
            if ((item.value).equalsIgnoreCase(keyword)) {
                return item;
            }
        }
        return null;
    }

}
