package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum HandlingMethodEnum {

    DISPATCH_DISPOSAL("派遣处置", "1"),
	SELF_HANDLE("自查自处", "2"),
	NOTIFY_RECTIFICATION("通知商户整改", "3"),
    SINGLE_SOLDIER_DIRECT("单兵直达", "4"),
	EVENT_WARNING("事件预警", "5");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static HandlingMethodEnum getInstance(String value) {
        HandlingMethodEnum[] arr = values();
        int len$ = arr.length;

        for (int i = 0; i < len$; ++i) {
            HandlingMethodEnum status = arr[i];
            if (status.getValue().equals(value)) {
                return status;
            }
        }

        return null;
    }

}
