package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tyangzhou
 */

@Getter
@AllArgsConstructor
public enum SplitMergeEnum {

    SPLIT("拆分", "1"), MERGE("合并", "2"), NOT_HANDLE("不处理", "3");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

}
