package com.hncy.sjdz.util;

import cn.hutool.core.util.NumberUtil;

public class CalculationUtils {

    public static String getPercent(long num1, long num2) {
        return NumberUtil.decimalFormat("#.##%", NumberUtil.div(num1, num2));
    }

    public static String getPercentNoSymbols(long num1, long num2) {
        if (num2 == 0 || num1 == 0) {
            return "0";
        }
        return NumberUtil.decimalFormat("#.##%", NumberUtil.div(num1, num2)).replaceAll("%", "");
    }

    public static String getPercentNoSymbolsDouble(double num1, double num2) {
        if (num2 == 0) {
            return "0";
        }
        return NumberUtil.decimalFormat("#.##%", NumberUtil.div(num1, num2)).replaceAll("%", "");
    }

    public static String getPercentIntNoSymbols(long num1, long num2) {
        if (num2 == 0 || num1 == 0) {
            return "0";
        }
        return NumberUtil.decimalFormat("#%", NumberUtil.div(num1, num2)).replaceAll("%", "");
    }

}
