package com.hncy.sjdz.base;




import com.hncy.sjdz.mybatis.MybatisPlusConfig;
import com.hncy.sjdz.mybatis.MybatisPlusMetaObjectHandler;
import com.hncy4cloud.hncy.common.security.annotation.EnableHncyResourceServer;
import com.hncy4cloud.hncy.common.swagger.annotation.EnableHncyDoc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 数据底座
 *
 * @Author: lm
 * @Date: 2023/11/29
 */
@EnableHncyDoc("city-sjdz-base")
@EnableHncyResourceServer
@EnableDiscoveryClient
@SpringBootApplication
@Import({ MybatisPlusConfig.class, MybatisPlusMetaObjectHandler.class})
@EnableScheduling
public class BaseApplication {

    public static void main(String[] args) {
        SpringApplication.run(BaseApplication.class, args);
    }

}
