package com.hncy.sjdz.base.controller;

import com.hncy.sjdz.base.service.CstzCstzInfoService;
import com.hncy4cloud.hncy.common.core.util.R;
import com.hncy4cloud.hncy.common.mybatis.custom.CustomPage;
import com.hncy4cloud.hncy.common.security.annotation.Inner;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author zhaoting
 * date  2025/1/17 16:23
 **/
@RestController
@RequestMapping("/adsCstzCstzFxyj")
@Slf4j
public class AdsCstzCstzFxyjController {
	@Autowired
	private CstzCstzInfoService cstzCstzInfoService;
	@Operation(summary = "城市体征风险预警")
	@GetMapping("/getTZfx")
	public R<CustomPage<Map>>  getTZfx(
			@Parameter(name = "page", description = "页码", required = true, example = "1")
			@RequestParam(name = "page", defaultValue = "1") int page,
			@Parameter(name = "count", description = "每页条数", required = true,
			example = "10") @RequestParam(name = "count", defaultValue = "10") int count,
			@RequestParam(required = false) String startTime,
					 @RequestParam(required = false) String endTime,
			 @RequestParam(required = false) String indexname) {
		return cstzCstzInfoService.getTZfx(startTime,endTime,indexname);
	}
}
