package com.hncy.sjdz.base.mapper;

import com.hncy.sjdz.base.models.entity.CzzyResourceInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author tyz
* @description 针对表【czzy_resource_info(处置资源信息表)】的数据库操作Mapper
* @createDate 2024-11-13 16:41:40
* @Entity com.hncy.sjdz.base.models.entity.CzzyResourceInfo
*/
@Mapper
public interface CzzyResourceInfoMapper extends BaseMapper<CzzyResourceInfo> {

	Integer getResourcesCount(@Param("gridCodes") List<String> gridCodes, @Param("resourceType") String resourceType);
}




