package com.hncy.sjdz.base.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.sjdz.base.models.entity.SafetyMonitoringObjectInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 监测对象表
 *
 * @author cp
 * @since 2024-11-07 15:23:28
 */
@Mapper
public interface SafetyMonitoringObjectInfoMapper extends BaseMapper<SafetyMonitoringObjectInfo> {
	Map statisticalRiskLevel(@Param("parentTypeCode") String parentTypeCode,@Param("areaCode") String areaCode);


	List<Map> findListForMap(@Param("parentTypeCode") String parentTypeCode,
							 @Param("monitoringObjectTypeCodeList") String[] monitoringObjectTypeCodeList,
							 @Param("lat")String lat,
							 @Param("lon")String lon,
							 @Param("distance")String distance,@Param("areaCode") String areaCode);


	Map getInfo(@Param("id") String id);


	List<Map> selectByMonitoringProject(@Param("id") String id,
										@Param("monitoringProject") String monitoringProject);


	List<Map> statisticalType();



	 Long  selectParentCount (@Param("parentTypeCode") String parentTypeCode);


	List<SafetyMonitoringObjectInfo> listfifty();

}