package com.hncy.sjdz.base.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hncy.sjdz.base.models.entity.CzzyResourceInfo;
import com.hncy.sjdz.base.service.CzzyResourceInfoService;
import com.hncy.sjdz.base.mapper.CzzyResourceInfoMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author tyz
* @description 针对表【czzy_resource_info(处置资源信息表)】的数据库操作Service实现
* @createDate 2024-11-13 16:41:40
*/
@Service
public class CzzyResourceInfoServiceImpl extends ServiceImpl<CzzyResourceInfoMapper, CzzyResourceInfo>
    implements CzzyResourceInfoService{

	@Override
	public Integer getResourcesCount(List<String> gridCodes, String resourceType) {
		return baseMapper.getResourcesCount(gridCodes, resourceType);
	}
}




