package com.hncy.sjdz.base.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hncy.sjdz.base.models.entity.ResponsibilityGridDivision;
import com.hncy.sjdz.base.service.ResponsibilityGridDivisionService;
import com.hncy.sjdz.base.mapper.ResponsibilityGridDivisionMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author tyz
* @description 针对表【responsibility_grid_division(责任网格划分)】的数据库操作Service实现
* @createDate 2024-11-13 15:07:09
*/
@Service
public class ResponsibilityGridDivisionServiceImpl extends ServiceImpl<ResponsibilityGridDivisionMapper, ResponsibilityGridDivision>
    implements ResponsibilityGridDivisionService{

    @Override
    public List<String> getMyGridCodes(String userId) {
        return baseMapper.getMyGridCodes(userId);
    }
}




