-- 删除表语句
DROP TABLE IF EXISTS "sjdz_interface_info";

-- 创建表语句
CREATE TABLE "sjdz_interface_info" (
                                       "id" VARCHAR(64) NOT NULL COMMENT '智慧城管数据底座id',
                                       "name" VARCHAR(64) NULL DEFAULT NULL COMMENT '接口名称',
                                       "type_code" VARCHAR(255) NULL DEFAULT NULL COMMENT '接口code',
                                       "method" VARCHAR(64) NULL DEFAULT NULL COMMENT '方法',
                                       "auth_user_name" VARCHAR(255) NULL DEFAULT NULL COMMENT '申请人账号',
                                       "auth_user_key" VARCHAR(255) NULL DEFAULT NULL COMMENT '申请人密码',
                                       "is_decryption" VARCHAR(8) NULL DEFAULT NULL COMMENT '是否需要解密 0不需要，1需要',
                                       "interface_address" VARCHAR(255) NULL DEFAULT NULL COMMENT '接口地址',
                                       "user_key" VARCHAR(255) NULL DEFAULT NULL COMMENT '用户秘钥',
                                       "private_key" VARCHAR(255) NULL DEFAULT NULL COMMENT '解密私钥',
                                       PRIMARY KEY ("id")
)STORAGE(ON "MAIN", CLUSTERBTR);