package com.hncy.sjdz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 处置资源类型
 * @author tyz
 */

@Getter
@RequiredArgsConstructor
public enum DisposalResourcesTypeEnum {
	//0:车辆,1:人员，2：物资，3：装备 4其他
	CAR("车辆","0"),
	PEOPLE("人员","1"),
	MATERIAL("物资","2"),
	EQUIPMENT("装备","3"),
	OTHER("其他","4");

	private final String name;
	private final String code;

}
