package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum IsOverEnum {

    NOT_OVER("未完结", "0"), ALREADY_OVER("已完结", "1");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static IsOverEnum getByValue(String keyword) {
        IsOverEnum[] enums = values();
        for (IsOverEnum item : enums) {
            if ((item.value).equalsIgnoreCase(keyword)) {
                return item;
            }
        }
        return null;
    }

}
