package com.hncy.sjdz.mybatis;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

/**
 * MybatisPlusConfig
 *
 * @Author: lm
 * @Date: 2024/07/22
 */

@Configuration
public class MybatisPlusConfig {

    /**
     * MybatisPlusMetaObjectHandler来覆盖mybatisPlusMetaObjectHandler
     * @return
     */
    @Bean
    @Primary
    public MybatisPlusMetaObjectHandler mybatisPlusMetaObjectHandler() {
        return new MybatisPlusMetaObjectHandler();
    }

}
