package com.hncy.sjdz.base.models.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.hncy.sjdz.util.SelectOption;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
public class BaseLabelEntity implements Serializable {
	private static final long serialVersionUID = 1L;

    private String label;

    private String value;

	@JsonInclude(JsonInclude.Include.NON_NULL)
	private String unit;

	@JsonInclude(JsonInclude.Include.NON_NULL)
    private String type;

	@JsonInclude(JsonInclude.Include.NON_NULL)
	private Integer count;

	@JsonInclude(JsonInclude.Include.NON_NULL)
	private List<BaseLabelEntity> children;
}
