package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import lombok.Data;

/**
 * 数据底座-行业问题-环卫固废问题每日大类统计
 * @TableName sjdz_industry_category_day
 */
@TableName(value ="sjdz_industry_category_day")
@Data
public class SjdzIndustryCategoryDay implements Serializable {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 大类名
     */
    private String mainClassName;

    /**
     * 大类code
     */
    private String mainClassCode;

    /**
     * 问题数量
     */
    private String eventNum;

    /**
     * 类别占比 整数百分比
     */
    private String categoryPercent;

    /**
     * 日期 
     */
    private LocalDate nowDay;

    /**
     * 问题类型   环卫固废
     */
    private String industryType;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}