package com.hncy.sjdz.base.models.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
public class ComponentTypeStatisticsVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@Schema(description = "部件大类类别的数量")
	private String componentMainClassSum;

	@Schema(description = "部件小类类别的数量")
	private String componentSmallClassSum;

	@Schema(description = "部件的个数")
	private String componentSum;
}
