package com.hncy.sjdz.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hncy.sjdz.base.models.entity.SjdzInterfaceInfo;
import com.hncy.sjdz.base.models.vo.InterfaceVO;
import com.hncy4cloud.hncy.common.core.util.R;

/**
 * 智慧城管数据底座接口
 *
 * @author zhaoting
 * @date 2024-12-03 10:53:33
 */
public interface SjdzInterfaceInfoService extends IService<SjdzInterfaceInfo> {

	R getSjdzInfoData(InterfaceVO interfaceVO);

	R getMzhsData(InterfaceVO interfaceVO);

	R getSqLx(InterfaceVO interfaceVO);

	R getCallInformationInfoById(String id);

	R getQzGfData(InterfaceVO interfaceVO);

	Object getGzInfoData(InterfaceVO interfaceVO);

	Object getWgjzInfoData(InterfaceVO interfaceVO);

	R clearRedisData(InterfaceVO interfaceVO);
}