package com.hncy.sjdz.base.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.github.pagehelper.util.StringUtil;
import com.hncy.sjdz.base.mapper.AdsCstzCstzFxyjMapper;
import com.hncy.sjdz.base.service.CstzCstzInfoService;
import com.hncy4cloud.hncy.common.core.util.R;
import com.hncy4cloud.hncy.common.mybatis.custom.CustomPage;
import com.hncy4cloud.hncy.common.mybatis.custom.HncyPageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author zhaoting
 * date  2025/1/17 17:09
 **/
@Service
public class CstzCstzInfoServiceImpl  implements CstzCstzInfoService {

	@Autowired
	private AdsCstzCstzFxyjMapper adsCstzCstzFxyjMapper;
	@Override
	public R<CustomPage<Map>> getTZfx(String statTime, String endTime, String indexname) {
		DateTime tempDate, begin = null, end = null;
		if(StringUtil.isNotEmpty(statTime)){
			tempDate = DateTime.of(statTime, "yyyy-MM-dd");
			begin = DateUtil.beginOfDay(tempDate);
		}
		if(StringUtil.isNotEmpty(endTime)){
			tempDate = DateTime.of(endTime, "yyyy-MM-dd");
			end = DateUtil.endOfDay(tempDate);
		}
		DateTime finalBegin = begin;
		DateTime finalEnd = end;
		CustomPage<Map> mapCustomPage = HncyPageHelper.doSelectPage(() -> adsCstzCstzFxyjMapper.getTZfx(finalBegin, finalEnd, indexname));
		return R.ok(mapCustomPage);
	}
}
